---
author: "UEFF"
title: "Halors Ragewound"
date: 2017-04-02T12:00:06+01:00
draft: false
type: "showcase"
---

## General info
| | |
|-|-|
| Name | Halors Ragewound |
| Date of birth | 9.11.13 BLC |
| City of birth | [Odeila](/cities/odeila) |
| Nationality | ![Jamta](/images/flags/jamta_small_md.png) [Jamta](/nations/jamta) |
| Race | [Nordic](/races/nordic) |
| Position | Coach |
| Current club | [FC Odeila](/teams/fcodeila) |

## Club career

| Club | Season | League position |
|-|-|-|
| [FC Odeila](/teams/fcodeila) | 20 | | |

## Honours

